Honeycomb
probe Trigger

# get_trigger

Retrieves a trigger information and state.

Run it now
View details

Type | probe
Module | chaoshoneycomb.trigger.probes
Name | get_trigger
Return | mapping

Usage

JSON

    {
      "name": "get-trigger",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaoshoneycomb.trigger.probes",
        "func": "get_trigger",
        "arguments": {
          "dataset_slug": "",
          "trigger_id": ""
        }
      }
    }

YAML

    name: get-trigger
    provider:
      arguments:
        dataset_slug: ''
        trigger_id: ''
      func: get_trigger
      module: chaoshoneycomb.trigger.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
dataset_slug | string |  | Yes | Dataset | Dataset slug
trigger_id | string |  | Yes | Trigger Identifier |

Signature

    def get_trigger(dataset_slug: str,
                    trigger_id: str,
                    configuration: Dict[str, Dict[str, str]] = None,
                    secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Honeycomb
  probe Trigger

  ## `trigger_is_resolved`

  Checks that the trigger is in resolved (not “triggered”) state.
- Honeycomb
  probe Trigger

  ## `trigger_is_unresolved`

  Checks that the trigger is in unresolved (“triggered”) state.
- Honeycomb
  probe SLO

  ## `get_slo`

  Retrieve the current state of an SLO